`toLocaleString()`方法返回一个字符串，表明该类型化数组的元素。这些元素被转化为字符串并由一个区域设置指定的分隔符（例如逗号 “,”）分隔。这个方法与`Array.prototype.toLocaleString()`拥有相同的算法。同时，由于类型化数组的元素都是数，将每个元素转化为字符串的算法与`Number.prototype.toLocaleString()`是相同的。（类型化数组）的是typed array types中的其中一个。

## 语法

    typedarray.toLocaleString([locales [, options]]);

### 参数

`locales`

  Optional. A string with a BCP 47 language tag, or an array of such strings. For the general form and interpretation of the `locales` argument, see the Intl page. The following Unicode extension key is allowed:

  `nu`
    The numbering system to be used. Possible values include: `"arab"`, `"arabext"`, `"bali"`, `"beng"`, `"deva"`, `"fullwide"`, `"gujr"`, `"guru"`, `"hanidec"`, `"khmr"`, `"knda"`, `"laoo"`, `"latn"`, `"limb"`, `"mlym"`, `"mong"`, `"mymr"`, `"orya"`, `"tamldec"`, `"telu"`, `"thai"`, `"tibt"`.
`options`

  Optional. An object with some or all of the following properties:

  `localeMatcher`
    The locale matching algorithm to use. Possible values are `"lookup"` and `"best fit"`; the default is `"best fit"`. For information about this option, see the Intl page.
  `style`
    The formatting style to use. Possible values are `"decimal"` for plain number formatting, `"currency"` for currency formatting, and `"percent"` for percent formatting; the default is `"decimal"`.
  `currency`
    The currency to use in currency formatting. Possible values are the ISO 4217 currency codes, such as `"USD"` for the US dollar, `"EUR"` for the euro, or `"CNY"` for the Chinese RMB — see the Current currency & funds code list. There is no default value; if the `style` is `"currency"`, the `currency` property must be provided.
  `currencyDisplay`
    How to display the currency in currency formatting. Possible values are `"symbol"` to use a localized currency symbol such as €, `"code"` to use the ISO currency code, `"name"` to use a localized currency name such as `"dollar"`; the default is `"symbol"`.
  `useGrouping`
    Whether to use grouping separators, such as thousands separators or thousand/lakh/crore separators. Possible values are `true` and `false`; the default is `true`.

  The following properties fall into two groups: `minimumIntegerDigits`, `minimumFractionDigits`, and `maximumFractionDigits` in one group, `minimumSignificantDigits` and `maximumSignificantDigits` in the other. If at least one property from the second group is defined, then the first group is ignored.

  `minimumIntegerDigits`
    The minimum number of integer digits to use. Possible values are from 1 to 21; the default is 1.
  `minimumFractionDigits`
    The minimum number of fraction digits to use. Possible values are from 0 to 20; the default for plain number and percent formatting is 0; the default for currency formatting is the number of minor unit digits provided by the ISO 4217 currency code list (2 if the list doesn't provide that information).
  `maximumFractionDigits`
    The maximum number of fraction digits to use. Possible values are from 0 to 20; the default for plain number formatting is the larger of `minimumFractionDigits` and 3; the default for currency formatting is the larger of `minimumFractionDigits` and the number of minor unit digits provided by the ISO 4217 currency code list (2 if the list doesn't provide that information); the default for percent formatting is the larger of `minimumFractionDigits` and 0.
  `minimumSignificantDigits`
    The minimum number of significant digits to use. Possible values are from 1 to 21; the default is 1.
  `maximumSignificantDigits`
    The maximum number of significant digits to use. Possible values are from 1 to 21; the default is 21.

### 返回值

一个字符串，表明该类型化数组内的元素。

## 例子

### 使用`toLocaleString`

    var uint = new Uint32Array([2000, 500, 8123, 12, 4212]);

    uint.toLocaleString();
    // 如果在de-DE区域设置下运行
    // "2.000,500,8.123,12,4.212"

    uint.toLocaleString('en-US');
    // "2,000,500,8,123,12,4,212"

    uint.toLocaleString('ja-JP', { style: 'currency', currency: 'JPY' });
    // "￥2,000,￥500,￥8,123,￥12,￥4,212"

## 规范

规范 | 状态 | 说明
--- | --- | ---
ECMAScript 2015 (6th Edition, ECMA-262) TypedArray.prototype.toLocaleString | Standard | 初始定义。
ECMAScript Latest Draft (ECMA-262) TypedArray.prototype.toLocaleString | Draft |

## 浏览器兼容性

The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out https://github.com/mdn/browser-compat-data and send us a pull request.

Update compatibility data on GitHub

| Desktop | Mobile | Server
| Chrome | Edge | Firefox | Internet Explorer | Opera | Safari | Android webview | Chrome for Android | Edge Mobile | Firefox for Android | Opera for Android | Safari on iOS | Samsung Internet | Node.js
`toLocaleString` | Chrome Full support Yes | Edge ? | Firefox Full support 51 | IE Full support 10 | Opera Full support Yes | Safari Full support Yes | WebView Android Full support Yes | Chrome Android Full support Yes | Edge Mobile ? | Firefox Android Full support 51 | Opera Android Full support Yes | Safari iOS Full support Yes | Samsung Internet Android Full support Yes | nodejs ?

### Legend

Full support
  Full support
Compatibility unknown
  Compatibility unknown

## 相关链接

- `Array.prototype.toLocaleString()`
- `Number.prototype.toLocaleString()`